### Function

# Gimp ConfigInterface type_register

since: 3.0

#### Declaration [src]

    GType
    gimp_config_type_register (
      GType parent_type,
      const gchar* type_name,
      GParamSpec** pspecs,
      gint n_pspecs
    )

#### Description [src]

This function is a fancy wrapper around g_type_register_static(). It creates a new object type as subclass of `parent_type`, installs `pspecs` on it and makes the new type implement the `GimpConfig` interface.

Available since: 3.0

#### Parameters

`parent_type`

  Type: `GType`

  Type from which this type will be derived.

`type_name`

  Type: `const gchar*`

  String used as the name of the new type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`pspecs`

  Type: An array of `GParamSpec*`

  Array of `GParamSpec` to install as properties on the new type.

  The length of the array is specified in the `n_pspecs` argument.
  The data is owned by the caller of the function.

`n_pspecs`

  Type: `gint`

  The number of param specs in `pspecs`.

#### Return value

Type: `GType`

The newly registered `GType`.